
From: janitor@sternwelten.at

Uses msleep() instead of a while-loop and schedule().  Thus the CPU is
given up for the time desired.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/radio/radio-aimslab.c |    7 +------
 1 files changed, 1 insertion(+), 6 deletions(-)

diff -puN drivers/media/radio/radio-aimslab.c~radio-radio-aimslab-replace-while-schedule-with-msleep drivers/media/radio/radio-aimslab.c
--- 25/drivers/media/radio/radio-aimslab.c~radio-radio-aimslab-replace-while-schedule-with-msleep	2004-09-02 15:31:25.288899496 -0700
+++ 25-akpm/drivers/media/radio/radio-aimslab.c	2004-09-02 15:31:25.291899040 -0700
@@ -63,12 +63,7 @@ static void sleep_delay(long n)
 	if(!d)
 		udelay(n);
 	else
-	{
-		/* Yield CPU time */
-		unsigned long x=jiffies;
-		while((jiffies-x)<=d)
-			schedule();
-	}
+		msleep(jiffies_to_msecs(d));
 }
 
 static void rt_decvol(void)
_
